;
;                 AVRMP3Car - Standalone MP3-Player
;                          Version 1.02   
;	written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
;
;This program is free software; you can redistribute it and/or modify
;it under the terms of the GNU General Public License as published by
;the Free Software Foundation - version 2.
;
;This program is distributed in the hope that it will be useful,
;but WITHOUT ANY WARRANTY; without even the implied warranty of
;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;GNU General Public License in file COPYING for more details.
;
;You should have received a copy of the GNU General Public License
;along with this program; if not, write to the Free Software
;Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
;
;Please report any bug/fix, modification, suggestion to
;
;           skymab@gmx.de
;
;--------------------------------------------------------------------
;--------------------------------------------------------------------
; Includefile fr die Definition von Constanen und Tabellen
;--------------------------------------------------------------------

;--------------------------------------------------------------------
; Sonstige Strings
;--------------------------------------------------------------------
MSG_ARTIST:
.DB "Artist:",$00

MSG_TITLE:
.DB "Title :",$00

MSG_PAUSE:
.DB "PAUSE     ",$00,$00

MSG_PLAY:
.DB "PLAY      ",$00,$00

MSG_STOP:
.DB "STOP      ",$00,$00

MSG_NPLAY:
.DB "NEWPLAY   ",$00,$00

MSG_NOHEADER:
.DB "No MP3-Header found!",$00,$00

MSG_NOANSWER:
.DB "No answer from harddisk!",$00,$00

MSG_NoFiletoPlay:
.DB "No file to play!                        ",$00,$00

MSG_LONGFORWARD:
.DB "Long-Forward-pressed",$00,$00

MSG_LONGREWIND:
.DB "Long-Rewind-pressed ",$00,$00

MSG_INTERNALERROR:
.DB "Internal-Error occured!",$00

MSG_SCANNINGFAT:
.DB "Scanning FAT...",$00

MSG_SCANNINGBALKEN:
.DB $c6,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8
.DB $c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c7,$00

;--------------------------------------------------------------------
; SCANNING_FAT_WINDOW
;--------------------------------------------------------------------
;MSG_SCANFAT_LINE1:
;.DB $da,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4
;.DB $c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$bf,$00
;
;MSG_SCANFAT_LINE2:
;.DB $b3,$53,$63,$61,$6e,$6e,$69,$6e,$67,$20,$46,$41
;.DB $54,$2e,$2e,$2e,$20,$20,$20,$20,$20,$20,$b3,$00
;
;MSG_SCANFAT_LINE4:
;.DB $b3,$c6,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8
;.DB $c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c8,$c7,$b3,$00
;
;MSG_SCANFAT_LINE5:
;.DB $c0,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4
;.DB $c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4,$d9,$00

;--------------------------------------------------------------------
; Verwendete Strings der Tone-Control
;--------------------------------------------------------------------
MSG_VOLUME_CONTROL:
.DB " Volume Control ",$00,$00

MSG_BASS_CONTROL:
.DB "  Bass Control  ",$00,$00

MSG_TREBLE_CONTROL:
.DB " Treble Control ",$00,$00

;--------------------------------------------------------------------
; Verwendete Strings der DISPALYConfig funktion
;--------------------------------------------------------------------
MSG_AutoDetect:
.db "Autodetection in progress...",$00,$00

MSG_DEVICE:
.db "Device: ",$00,$00

MSG_CYLINDERs:
.db "Cylinders: ",$00

MSG_Heads:
.db "Heads:     ",$00

MSG_Sectors:
.db "Sectors:   ",$00

;--------------------------------------------------------------------
; Verwendete Strings bei der FAT32-LOAD_Function
;--------------------------------------------------------------------
MSG_OEMNAME:
.db "OEM-Name:",$00

MSG_SPC:
.db "Sectors per Cluster:",$00,$00

MSG_ROOTCLUSTER:
.db "Cluster of ROOT-Directory:",$00,$00

MSG_illegal_BPS:
.db "Illegal value of 'Bytes per Sector'!",$00,$00

MSG_SYSTEM_HALT:
.db "System has been stopped!",$00,$00

MSG_NO_FILES_IN_ROOT:
.db "Your rootdirectory is empty!",$00,$00

;--------------------------------------------------------------------
; Ascii-Zeichen   $DA
;--------------------------------------------------------------------
DATA_CHAR1:
.DB $BA,$00,$00,$00,$00,$0f,$08,$08,$08,$0

;--------------------------------------------------------------------
; Ascii-Zeichen   $BF
;--------------------------------------------------------------------
DATA_CHAR2:
.DB $9F,$00,$00,$00,$00,$38,$08,$08,$08,$0

;--------------------------------------------------------------------
; Ascii-Zeichen   $D9
;--------------------------------------------------------------------
DATA_CHAR3:
.DB $B9, $08,$08,$08,$08,$38,$00,$00,$00,$0

;--------------------------------------------------------------------
; Ascii-Zeichen   $C0
;--------------------------------------------------------------------
DATA_CHAR4:
.DB $A0, $08,$08,$08,$08,$0f,$00,$00,$00,$0

;--------------------------------------------------------------------
; Ascii-Zeichen   $B3   links
;--------------------------------------------------------------------
DATA_CHAR5:
.DB $93, $08,$08,$08,$08,$08,$08,$08,$08,$0

;--------------------------------------------------------------------
; Ascii-Zeichen   $C4   oben
;--------------------------------------------------------------------
DATA_CHAR7:
.DB $A4, $00,$00,$00,$00,$3f,$00,$00,$00,$00

;--------------------------------------------------------------------
; Ascii-Zeichen -  $C6   Balken Ecke links
;--------------------------------------------------------------------
DATA_CHAR9:
.DB $a6, $00,$3f,$20,$20,$20,$3f,$00,$00,$0

;--------------------------------------------------------------------
; Ascii-Zeichen - $C7    Balken Ecke rechts
;--------------------------------------------------------------------
DATA_CHAR10:
.DB $a7, $00,$3f,$01,$01,$01,$3f,$00,$00,$0

;--------------------------------------------------------------------
; Ascii-Zeichen   $C8   Balken mitte
;--------------------------------------------------------------------
DATA_CHAR11:
.DB $a8, $00,$3f,$00,$00,$00,$3f,$00,$00,$00

;--------------------------------------------------------------------
; Ascii-Zeichen - $C9    Balken Ausgefllt
;--------------------------------------------------------------------
DATA_CHAR12:
.DB $a9, $00,$3f,$3f,$3f,$3f,$3f,$00,$00,$0

;--------------------------------------------------------------------
; Ascii-Zeichen - $CA    Balken Teil1
;--------------------------------------------------------------------
DATA_CHAR13:
.DB $aa, $30,$30,$30,$30,$30,$30,$30,$30,$00

;--------------------------------------------------------------------
; Ascii-Zeichen - $Cb    Balken Teil2
;--------------------------------------------------------------------
DATA_CHAR14:
.DB $ab, $36,$36,$36,$36,$36,$36,$36,$36,$00

;--------------------------------------------------------------------
; Ascii-Zeichen - $CC    Balken Ausfllen
;--------------------------------------------------------------------
DATA_CHAR15:
.DB $ac, $3f,$3f,$3f,$3f,$3f,$3f,$3f,$3f,$00




;--------------------------------------------------------------------
; Fast-Rewind
;--------------------------------------------------------------------
DATA_BUTTON0:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,24,4,2,1,32,24
.DB 12,6,1,32,24,28,14,1,32,24,60,30
.DB 1,32,25,60,62,1,32,27,61,62,1,32
.DB 25,60,62,1,32,24,60,30,1,32,24,28
.DB 14,1,32,24,12,6,1,32,24,4,2,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Play
;--------------------------------------------------------------------
DATA_BUTTON1:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,16,7,14,1,32,24
.DB 7,14,1,32,28,7,14,1,32,30,7,14
.DB 1,32,31,7,14,1,32,31,39,14,1,32
.DB 31,7,14,1,32,30,7,14,1,32,28,7
.DB 14,1,32,24,7,14,1,32,16,7,14,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Fast-Forward
;--------------------------------------------------------------------
DATA_BUTTON2:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,8,4,3,1,32,12
.DB 6,3,1,32,14,7,3,1,32,15,7,35
.DB 1,32,15,39,51,1,32,15,55,59,1,32
.DB 15,39,51,1,32,15,7,35,1,32,14,7
.DB 3,1,32,12,6,3,1,32,8,4,3,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Stop
;--------------------------------------------------------------------
DATA_BUTTON3:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,3,63,48,1,32,3
.DB 63,48,1,32,3,63,48,1,32,3,63,48
.DB 1,32,3,63,48,1,32,3,63,48,1,32
.DB 3,63,48,1,32,3,63,48,1,32,3,63
.DB 48,1,32,3,63,48,1,32,0,0,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Change Directory
;--------------------------------------------------------------------
DATA_BUTTON4:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,0,0,0,1,32,0
.DB 0,0,1,32,60,28,60,1,32,18,8,34
.DB 1,32,18,8,34,1,32,18,8,60,1,32
.DB 18,8,40,1,32,18,8,36,1,32,60,28
.DB 34,1,32,0,0,0,1,32,0,0,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Function
;--------------------------------------------------------------------
DATA_BUTTON5:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,0,0,0,1,32,0
.DB 0,0,1,35,52,20,19,33,34,4,22,20
.DB 17,34,4,22,20,1,35,36,21,20,1,34
.DB 4,20,52,1,34,4,20,52,17,34,3,36
.DB 19,33,32,0,0,0,1,32,0,0,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Arrow Up
;--------------------------------------------------------------------
DATA_BUTTON6:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,8,0,1,32,0,28,0,1,32,0
.DB 62,0,1,32,1,63,0,1,32,3,63,32
.DB 1,32,0,62,0,1,32,0,62,0,1,32
.DB 0,62,0,1,32,0,62,0,1,32,0,62
.DB 0,1,32,0,62,0,1,32,0,62,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Arrow Down
;--------------------------------------------------------------------
DATA_BUTTON7:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,62,0,1,32,0,62,0,1,32,0
.DB 62,0,1,32,0,62,0,1,32,0,62,0
.DB 1,32,0,62,0,1,32,0,62,0,1,32
.DB 3,63,32,1,32,1,63,0,1,32,0,62
.DB 0,1,32,0,28,0,1,32,0,8,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; OK-Button
;--------------------------------------------------------------------
DATA_BUTTON8:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,0,0,0,1,32,0
.DB 0,0,1,32,3,36,16,1,32,4,20,32
.DB 1,32,4,21,0,1,32,4,22,0,1,32
.DB 4,21,0,1,32,4,20,32,1,32,3,36
.DB 16,1,32,0,0,0,1,32,0,0,0,1
.DB 32,0,0,0,1,63,63,63,63,63
;--------------------------------------------------------------------
; Blank
;--------------------------------------------------------------------
DATA_BUTTON9:
.DB 5,16,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0

;--------------------------------------------------------------------
; Page-Up
;--------------------------------------------------------------------
DATA_BUTTON10:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,8,0,1,32,0,28,0,1,32,0
.DB 62,0,1,32,1,63,0,1,32,3,63,32
.DB 1,32,0,28,0,1,32,0,28,0,1,32
.DB 0,62,0,1,32,1,63,0,1,32,3,63
.DB 32,1,32,0,28,0,1,32,0,28,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Page-Down
;--------------------------------------------------------------------
DATA_BUTTON11:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,28,0,1,32,0,28,0,1,32,3
.DB 63,32,1,32,1,63,0,1,32,0,62,0
.DB 1,32,0,28,0,1,32,0,28,0,1,32
.DB 3,63,32,1,32,1,63,0,1,32,0,62
.DB 0,1,32,0,28,0,1,32,0,8,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Track-Repeat
;--------------------------------------------------------------------
DATA_BUTTON12:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 35,63,63,63,49,34,0,0,0,17,34,0
.DB 62,0,17,34,0,8,0,1,47,32,8,0
.DB 17,39,0,8,0,57,34,0,8,1,61,32
.DB 0,8,0,17,34,0,8,0,17,34,0,0
.DB 0,17,35,63,63,63,49,32,0,0,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Audio
;--------------------------------------------------------------------
DATA_BUTTON13:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,0,0,0,1,32,0
.DB 0,0,1,32,14,17,30,1,32,17,17,17
.DB 1,32,17,17,17,1,32,31,17,17,1,32
.DB 17,17,17,1,32,17,17,17,1,32,17,14
.DB 30,1,32,0,0,0,1,32,0,0,0,1
.DB 32,0,0,0,1,63,63,63,63,63

;--------------------------------------------------------------------
; Return
;--------------------------------------------------------------------
DATA_BUTTON14:
.DB 5,16,63,63,63,63,63,32,0,0,0,1
.DB 32,0,0,0,1,32,0,0,0,1,32,0
.DB 0,0,1,32,60,62,62,1,32,34,32,8
.DB 1,32,34,32,8,1,32,60,62,8,1,32
.DB 40,32,8,1,32,36,32,8,1,32,34,62
.DB 8,1,32,0,0,0,1,32,0,0,0,1
.DB 32,0,0,0,1,63,63,63,63,63


;--------------------------------------------------------------------
; Volume-Picture
;--------------------------------------------------------------------
VOLUME_PIC:
.DB 11,16,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,1,48,0,0,0,0,0,0,28
.DB 6,0,1,48,0,0,0,0,0,0,28,14
.DB 0,1,48,0,0,0,0,0,0,28,14,7
.DB 33,51,39,7,24,56,7,0,14,12,31,49
.DB 51,39,7,63,60,31,32,14,28,28,57,51
.DB 39,7,63,60,57,48,14,28,56,57,51,39
.DB 7,14,28,57,48,7,56,56,57,51,39,7
.DB 14,28,63,48,7,56,56,57,51,39,7,14
.DB 28,56,0,7,48,60,57,51,55,7,14,28
.DB 56,0,3,48,31,57,51,63,7,14,28,63
.DB 48,3,48,15,49,49,63,7,14,28,15,48
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0

;--------------------------------------------------------------------
; Bass-Picture
;--------------------------------------------------------------------
BASS_PIC:
.DB 11,16,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,31
.DB 56,0,0,0,0,0,0,0,0,0,31,60
.DB 0,0,0,0,0,0,0,0,0,28,28,15
.DB 0,56,15,0,0,0,0,0,28,28,31,51
.DB 60,31,32,0,0,0,0,31,56,17,51,36
.DB 57,32,0,0,0,0,31,60,7,51,32,60
.DB 0,0,0,0,0,30,30,31,51,60,63,0
.DB 0,0,0,0,28,14,57,49,62,15,32,0
.DB 0,0,0,28,14,57,48,14,3,32,0,0
.DB 0,0,31,62,63,51,62,63,32,0,0,0
.DB 0,31,56,31,51,60,63,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0

;--------------------------------------------------------------------
; Treble-Picture
;--------------------------------------------------------------------
TREBLE_PIC:
.DB 11,16,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,48,3,32,0,0,0,31
.DB 63,0,0,0,56,3,32,0,0,0,15,62
.DB 0,0,0,56,3,32,0,0,0,1,48,29
.DB 35,32,59,3,32,56,0,0,1,48,31,39
.DB 56,63,51,35,60,0,0,1,48,31,46,28
.DB 57,51,39,14,0,0,1,48,28,30,28,57
.DB 51,39,14,0,0,1,48,28,31,60,57,51
.DB 47,62,0,0,1,48,28,30,0,57,51,47
.DB 0,0,0,1,48,28,14,0,57,51,39,0
.DB 0,0,1,48,28,15,60,63,51,39,62,0
.DB 0,1,48,28,7,60,63,35,35,62,0,0
.DB 0,0,0,0,0,0,0,0,0,0,0,0
.DB 0,0,0,0,0,0,0,0,0,0

;--------------------------------------------------------------------
; Basstable
;--------------------------------------------------------------------
DATA_BASSTABLE:
.DB $9e,$40,$a2,$80,$a7,$40,$ac,$40,$b1,$80,$b7,$40,$bd,$40,$c3,$c0
.DB $ca,$40,$d1,$80,$d8,$c0,$e0,$40,$e8,$00,$ef,$c0,$f7,$c0,$00,$00
.DB $00,$80,$10,$00,$17,$c0,$1f,$80,$27,$00,$2e,$40,$35,$80,$3c,$00
.DB $42,$80,$48,$80,$4e,$40,$53,$80,$58,$80,$5d,$40,$61,$80

;--------------------------------------------------------------------
; TrebleTable
;--------------------------------------------------------------------
DATA_TREBLETABLE:
.DB $b2,$c0,$bb,$40,$c1,$80,$c6,$c0,$cb,$c0,$d0,$40,$d5,$00,$d9,$80
.DB $de,$00,$e2,$80,$e7,$e0,$ec,$00,$f0,$c0,$f4,$c0,$fa,$c0,$00,$00
.DB $05,$40,$0a,$c0,$10,$40,$10,$60,$1c,$00,$22,$00,$28,$40,$2e,$c0
.DB $35,$40,$3c,$00,$42,$c0,$49,$c0,$51,$80,$58,$40,$5f,$80

;--------------------------------------------------------------------
; VolumeTable
;--------------------------------------------------------------------
DATA_VOLUMETABLE:
.DB $ff,$fa,$00,$0f                     ; -99dB
;.DB $ff,$f9,$00,$0f                     ; -98dB
;.DB $ff,$f9,$00,$0f                     ; -97dB
;.DB $ff,$f8,$00,$0f                     ; -96dB
;.DB $ff,$f7,$00,$0f                     ; -95dB
;.DB $ff,$f6,$00,$0f                     ; -94dB
;.DB $ff,$f4,$00,$0f                     ; -93dB
;.DB $ff,$f3,$00,$0f                     ; -92dB
;.DB $ff,$f1,$00,$0f                     ; -91dB
;.DB $ff,$ef,$00,$0f                     ; -90dB
;.DB $ff,$ed,$00,$0f                     ; -89dB
;.DB $ff,$eb,$00,$0f                     ; -88dB
;.DB $ff,$e9,$00,$0f                     ; -87dB
;.DB $ff,$e6,$00,$0f                     ; -86dB
;.DB $ff,$e3,$00,$0f                     ; -85dB
;.DB $ff,$df,$00,$0f                     ; -84dB
;.DB $ff,$db,$00,$0f                     ; -83dB
;.DB $ff,$d6,$00,$0f                     ; -82dB
;.DB $ff,$d1,$00,$0f                     ; -81dB
;.DB $ff,$cc,$00,$0f                     ; -80dB
;.DB $ff,$c5,$00,$0f                     ; -79dB
;.DB $ff,$be,$00,$0f                     ; -78dB
;.DB $ff,$b6,$00,$0f                     ; -77dB
;.DB $ff,$ad,$00,$0f                     ; -76dB
;.DB $ff,$a3,$00,$0f                     ; -75dB
;.DB $ff,$97,$00,$0f                     ; -74dB
;.DB $ff,$8b,$00,$0f                     ; -73dB
;.DB $ff,$7c,$00,$0f                     ; -72dB
;.DB $ff,$6c,$00,$0f                     ; -71dB
;.DB $ff,$5a,$00,$0f                     ; -70dB
;.DB $ff,$46,$00,$0f                     ; -69dB
;.DB $ff,$2f,$00,$0f                     ; -68dB
;.DB $ff,$16,$00,$0f                     ; -67dB
;.DB $fe,$f9,$00,$0f                     ; -66dB
;.DB $fe,$d9,$00,$0f                     ; -65dB
;.DB $fe,$b5,$00,$0f                     ; -64dB
;.DB $fe,$8d,$00,$0f                     ; -63dB
;.DB $fe,$60,$00,$0f                     ; -62dB
;.DB $fe,$2d,$00,$0f                     ; -61dB
.DB $fd,$f4,$00,$0f                     ; -60dB
;.DB $fd,$b4,$00,$0f                     ; -59dB
.DB $fd,$6c,$00,$0f                     ; -58dB
;.DB $fd,$1b,$00,$0f                     ; -57dB
.DB $fc,$c1,$00,$0f                     ; -56dB
;.DB $fc,$5c,$00,$0f                     ; -55dB
.DB $fb,$ea,$00,$0f                     ; -54dB
;.DB $fb,$6a,$00,$0f                     ; -53dB
.DB $fa,$db,$00,$0f                     ; -52dB
;.DB $fa,$3a,$00,$0f                     ; -51dB
.DB $f9,$86,$00,$0f                     ; -50dB
;.DB $f8,$bc,$00,$0f                     ; -49dB
.DB $f7,$d9,$00,$0f                     ; -48dB
;.DB $f6,$da,$00,$0f                     ; -47dB
.DB $f5,$bc,$00,$0f                     ; -46dB
;.DB $f4,$7c,$00,$0f                     ; -45dB
.DB $f3,$14,$00,$0f                     ; -44dB
;.DB $f1,$80,$00,$0f                     ; -43dB
.DB $ef,$bb,$00,$0f                     ; -42dB
;.DB $ed,$bf,$00,$0f                     ; -41dB
.DB $eb,$85,$00,$0f                     ; -40dB
;.DB $e9,$05,$00,$0f                     ; -39dB
.DB $e6,$38,$00,$0f                     ; -38dB
;.DB $e3,$12,$00,$0f                     ; -37dB
.DB $df,$8b,$00,$0f                     ; -36dB
;.DB $db,$95,$00,$0f                     ; -35dB
.DB $d7,$23,$00,$0f                     ; -34dB
;.DB $d2,$27,$00,$0f                     ; -33dB
.DB $cc,$8e,$00,$0f                     ; -32dB
;.DB $c6,$48,$00,$0f                     ; -31dB
.DB $bf,$3d,$00,$0f                     ; -30dB
;.DB $b7,$56,$00,$0f                     ; -29dB
.DB $ae,$78,$00,$0f                     ; -28dB
;.DB $a4,$85,$00,$0f                     ; -27dB
.DB $99,$5b,$00,$0f                     ; -26dB
;.DB $8c,$d5,$00,$0f                     ; -25dB
.DB $7e,$c8,$00,$0f                     ; -24dB
;.DB $6f,$03,$00,$0f                     ; -23dB
.DB $5d,$52,$00,$0f                     ; -22dB
;.DB $49,$79,$00,$0f                     ; -21dB
.DB $33,$33,$00,$0f                     ; -20dB
;.DB $1a,$36,$00,$0f                     ; -19dB
.DB $fe,$2c,$00,$0e                     ; -18dB
;.DB $de,$b6,$00,$0e                     ; -17dB
.DB $bb,$6a,$00,$0e                     ; -16dB
;.DB $93,$cf,$00,$0e                     ; -15dB
.DB $67,$5f,$00,$0e                     ; -14dB
;.DB $35,$83,$00,$0e                     ; -13dB
.DB $fd,$91,$00,$0d                     ; -12dB
;.DB $be,$cc,$00,$0d                     ; -11dB
.DB $78,$5e,$00,$0d                     ; -10dB
;.DB $29,$58,$00,$0d                     ; -09dB
.DB $d0,$ad,$00,$0c                     ; -08dB
;.DB $6d,$31,$00,$0c                     ; -07dB
.DB $fd,$92,$00,$0b                     ; -06dB
;.DB $80,$53,$00,$0b                     ; -05dB
.DB $f3,$cd,$00,$0a                     ; -04dB
;.DB $56,$21,$00,$0a                     ; -03dB
.DB $a5,$37,$00,$09                     ; -02dB
;.DB $de,$b8,$00,$08                     ; -01dB
.DB $00,$00,$00,$08                     ; -00dB

;--------------------------------------------------------------------
; Tabelle fr Bitraten  Sectoren pro Sekunde=BitRate/4 o. shr2
; 256KBits und 320Kbits nicht untersttzt!!
;--------------------------------------------------------------------
DATA_BITRATETABLE_V1L1:
.DB 0,32,64,96,128,160,192,224,0,0,0,0,0,0,0,0

DATA_BITRATETABLE_V1L2:
.DB 0,32,48,56,64,80,96,112,128,160,192,224,0,0,0,0

DATA_BITRATETABLE_V1L3:
.DB 0,32,40,48,56,64,80,96,112,128,160,192,224,0,0,0

DATA_BITRATETABLE_V2L1:
.DB 0,32,48,56,64,80,96,112,128,144,160,176,192,224,0,0

DATA_BITRATETABLE_V2L2:
.DB 0,8,16,24,32,40,48,56,64,80,96,112,128,144,160,0

DATA_BITRATETABLE_V2L3:
.DB 0,8,16,24,32,40,48,56,64,80,96,112,128,144,160,0

DATA_VERSION_LAYER_TABLE:
.DW 0                                   ; MPEG 2.5
.DW 2*DATA_BITRATETABLE_V2L3
.DW 2*DATA_BITRATETABLE_V2L2
.DW 2*DATA_BITRATETABLE_V2L1

.DW 0                                   ; Reserved
.DW 0
.DW 0
.DW 0
.DW 0

.DW 2*DATA_BITRATETABLE_V2L3            ; MPEG 2
.DW 2*DATA_BITRATETABLE_V2L2
.DW 2*DATA_BITRATETABLE_V2L1
.DW 0

.DW 2*DATA_BITRATETABLE_V1L3            ; MPEG 1
.DW 2*DATA_BITRATETABLE_V1L2
.DW 2*DATA_BITRATETABLE_V1L1
.DW 0

;--------------------------------------------------------------------
; Tabelle fr Frequenzen von MPEG1,2 & 2.5    Alle Werte in KHz
;
; Bit 0 und 1 = Frequency-Index
; Bit 2 und 3 = Mpeg Version
;
;--------------------------------------------------------------------
DATA_FREQUENCYTABLE:
.DB 11,12,8,0,0,0,0,0,22,24,16,0,44,48,32,0

;--------------------------------------------------------------------
; Tabelle fr Bitrates
;--------------------------------------------------------------------
MSG_BitRateExt:
.DB "KBit/",$00

MSG_BitRate:
.DB "BitRate: ",$00

MSG_FREQUENCYEXT:
.DB "KHz",$00

;--------------------------------------------------------------------
; Speicheradressen der Bitmap-Nummern
;--------------------------------------------------------------------
DATA_BitMapNumTable:
.DW 2*DATA_BITMAP_NUM0
.DW 2*DATA_BITMAP_NUM1
.DW 2*DATA_BITMAP_NUM2
.DW 2*DATA_BITMAP_NUM3
.DW 2*DATA_BITMAP_NUM4
.DW 2*DATA_BITMAP_NUM5
.DW 2*DATA_BITMAP_NUM6
.DW 2*DATA_BITMAP_NUM7
.DW 2*DATA_BITMAP_NUM8
.DW 2*DATA_BITMAP_NUM9
.DW 2*DATA_BITMAP_DOPPELPUNKT

;--------------------------------------------------------------------
; bitmap-Zahlen von 0-9, 10= doppelpunkt
;--------------------------------------------------------------------
DATA_BITMAP_NUM0:
.DB 2,16,0,0,3,32,15,56,14,56,28,28
.DB 28,28,28,28,28,28,28,28,28,28,28,28
.DB 28,28,14,56,15,56,3,32,0,0

DATA_BITMAP_NUM1:
.DB 2,16,0,0,0,24,0,56,3,56,7,56
.DB 6,56,4,56,0,56,0,56,0,56,0,56
.DB 0,56,0,56,0,56,0,56,0,0

DATA_BITMAP_NUM2:
.DB 2,16,0,0,7,48,15,56,28,28,28,28
.DB 0,28,0,28,0,56,1,56,3,48,7,32
.DB 7,0,14,0,31,60,31,60,0,0

DATA_BITMAP_NUM3:
.DB 2,16,0,0,7,48,15,56,28,28,28,28
.DB 0,28,1,56,1,56,0,28,0,28,0,28
.DB 28,28,28,28,15,56,7,48,0,0

DATA_BITMAP_NUM4:
.DB 2,16,0,0,0,56,1,56,1,56,3,56
.DB 3,56,6,56,6,56,12,56,24,56,31,62
.DB 31,62,0,56,0,56,0,56,0,0

DATA_BITMAP_NUM5:
.DB 2,16,0,0,7,56,7,56,14,0,14,0
.DB 15,48,31,56,28,60,0,28,0,28,0,28
.DB 28,28,30,56,15,56,7,48,0,0

DATA_BITMAP_NUM6:
.DB 2,16,0,0,3,48,15,56,14,28,28,0
.DB 29,48,31,56,30,60,28,28,28,28,28,28
.DB 28,28,14,56,15,56,3,32,0,0

DATA_BITMAP_NUM7:
.DB 2,16,0,0,31,60,31,60,0,28,0,56
.DB 1,48,3,32,3,32,7,0,7,0,7,0
.DB 14,0,14,0,14,0,14,0,0,0

DATA_BITMAP_NUM8:
.DB 2,16,0,0,7,48,15,56,28,28,28,28
.DB 28,28,14,56,7,48,7,48,14,56,28,28
.DB 28,28,28,28,15,56,7,48,0,0

DATA_BITMAP_NUM9:
.DB 2,16,0,0,3,32,15,56,14,56,28,28
.DB 28,28,28,28,28,28,30,60,15,60,7,28
.DB 0,28,28,56,15,56,7,32,0,0

DATA_BITMAP_DOPPELPUNKT:
.DB 1,16,0,0,0,0,28,28,28,0,0,0
.DB 0,0,28,28,28,0


